> ## Documentation Index
> Fetch the complete documentation index at: https://confidence.spotify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe AssignmentTable

> Describe the assignments table



## OpenAPI

````yaml /api/metrics/api/assignment-table.openapi.json post /v1/assignmentTable:describe
openapi: 3.1.0
info:
  title: Confidence Assignment-table API
  version: 1.0.0
  description: API documentation for assignment-table
servers: []
security: []
paths:
  /v1/assignmentTable:describe:
    post:
      summary: Describe AssignmentTable
      description: Describe the assignments table
      operationId: AssignmentTable.describe
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: The name of the assignment table that you want to describe.
                startTime:
                  type: object
                  description: Filter to remove any data present before start time
                endTime:
                  type: object
                  description: Filter to remove any data present after end time
              required:
                - name
                - startTime
                - endTime
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    description: The name of the assignment table
                  assignmentsData:
                    type: array
                    items:
                      type: object
                      properties:
                        exposureKey:
                          type: string
                          description: The name of the experiment
                        variants:
                          type: array
                          items:
                            type: string
                          description: Treatment variants
                        startTime:
                          type: object
                          description: Experiment start time
                        endTime:
                          type: object
                          description: Experiment end time
                      required:
                        - exposureKey
                        - variants
                        - startTime
                        - endTime
                required:
                  - name
      security:
        - admin: []
      servers:
        - url: https://metrics.eu.confidence.dev
        - url: https://metrics.us.confidence.dev
        - url: https://metrics.confidence.dev
components:
  securitySchemes:
    admin:
      type: http
      scheme: bearer

````